#include <bits/stdc++.h>

using namespace std;

typedef pair<int, int> pii;

bool sgn(int a, int b)
{
    if ((a >= 0 && b >= 0) || (a < 0 && b < 0))
        return true;
    return false;
}

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(0);

    int n, m;
    cin >> n >> m;
    long long a[n];
    vector<pii> p;
    for (int i = 0; i < n; i++)
    {
        cin >> a[i];
    }

    for (int i = 0; i < m; i++)
    {
        int x, y;
        cin >> x >> y;
        pii k = make_pair(x, y);
        p.push_back(k);
    }
    long long sreca = 0;
    for (int i = 0; i < m; i++)
    {
        pii pr = p[i];
        long long x, y;
        x = pr.first;
        y = pr.second;
        if (sgn(a[x - 1], a[y - 1]))
        {
            sreca += abs(a[x - 1]);
            sreca += abs(a[y - 1]);
        }
        else
        {
            if (abs(a[x - 1]) > abs(a[y - 1]))
            {
                sreca += abs(a[x - 1]);
                sreca -= abs(a[y - 1]);
            }
            else
            {
                sreca -= abs(a[x - 1]);
                sreca += abs(a[y - 1]);
            }
        }
    }
    cout << sreca;
    return 0;
}